Page MenuHomePhabricator

Think about engagement/retention info when GCI contest finishes: Local chapter/usergroup; contacts and suggestions
Closed, ResolvedPublic

Description

From https://www.mediawiki.org/wiki/Google_Code-in/Lessons_learned#2017 :

  • AKlapper: Maybe sync what to reply in last tasks before contest ends, to improve retention
  • RexxS: It's worth asking all mentors to encourage students to continue their engagement with Wikimedia after the event closes. Perhaps having a page on meta specifically targeting CGI (sic) students with leads, contacts, suggestions for how they can continue, etc. might be useful as well?
  • jayvdb: we should be helping the GCI students get connected with their local chapter/usergroup where possible, in order to engage with coding projects that their chapter is working on, or wanting, and may have a higher local impact. The high social impact is something Wikimedia GCI students often indicate made them want to participate with Wikimedia instead of some other org. Local engagement keeps student momentum between GCI, and helps them understand how their developer skills can be used to help the editing community.

Event Timeline

Aklapper renamed this task from Think about providing engagement info when GCI contest finishes: Local chapter/usergroup; contacts and suggestions to Think about engagement/retention info when GCI contest finishes: Local chapter/usergroup; contacts and suggestions.Jul 31 2018, 10:52 AM
Aklapper triaged this task as Lowest priority.
Aklapper created this task.
Aklapper updated the task description. (Show Details)
Aklapper set Due Date to Jan 31 2018, 11:00 PM.Aug 25 2018, 9:58 AM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 25 2018, 9:58 AM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 25 2018, 10:00 AM
Aklapper closed this task as Resolved.EditedDec 13 2018, 12:51 PM

As no tasks can be commented on anymore in a few hours and as we do not have email addresses or such of GCI students, I posted a comment in the last task of each of the most active Wikimedia students:

Dear GCI participant,
GCI 2018 has come to an end - no more tasks can be claimed. GCI has been beautiful and intense, as usual. (For the organization admins there are a few more things to wrap up, such as deciding on the winners, which is always a tough task.)
Thank you so much for choosing Wikimedia and for all your hard work! Your work helps many people on this planet to access and share free knowledge.
We hope that you enjoyed GCI as much as the mentors and admins did.
We hope that you will stay in our community and plan to continue to explore and contribute to Wikimedia (and free and open software projects).
Feel free to subscribe to some of Wikimedia's or your favorite project's mailing lists (see https://lists.wikimedia.org/mailman/listinfo ) to follow and join discussions, to discuss in chat channels, to check out https://www.mediawiki.org/wiki/Good_first_bugs for more ideas what to work on (or any tasks which interest you, because those "first bugs" might have become too easy for you now), or to follow our weekly Tech News at https://meta.wikimedia.org/wiki/Tech/News for software stuff happening on Wikimedia servers.
The Wikimedia movement also has many chapters (see https://meta.wikimedia.org/wiki/Wikimedia_chapters ) and local usergroups: Some chapters have projects which might welcome your skills. Or maybe you could be interested to join a local meetup or Editathon?
If you plan to write and publish a text somewhere about your GCI experience: Feel free to share it by linking to your text on our GCI2018 wikipage at https://www.mediawiki.org/wiki/Google_Code-in/2018#Blog_posts .
We also welcome your feedback what Wikimedia as an organization in GCI could improve at https://www.mediawiki.org/wiki/Google_Code-in/Lessons_learned#2018 .
Again thank you! See you around in chat channels, on mailing lists, in Phabricator, Github, Gerrit, or whatever you have used in the last weeks! Please stay curious and explore! :)
andre (a Wikimedia org admin)

Edit on 20181231: In a future round, also mention GSoC/Outreachy (pointed out in https://phabricator.wikimedia.org/T200781 )?

Posting the updated 2019 text here that I plan to add to the last task done by our most active students.
(Reminder to myself: Maximum 2000 characters, no markdown support!)

Dear participant,
GCI 2019 is ending. As every year, it has been beautiful and intense. (For org admins there are a few more things to do, such as deciding on winners, which is always tough.)
Thank you for having chosen Wikimedia and all your hard work! You helped people on this planet to access and share free knowledge. We hope you enjoyed GCI as much as mentors and admins did. And of course we hope that you will stay with us.
Feel free to subscribe to some of Wikimedia's mailing lists at https://www.mediawiki.org/wiki/Mailing_lists or your favorite project's lists to join discussions, to discuss in chat channels, to check https://www.mediawiki.org/wiki/Good_first_bugs for more ideas what to work on (or any tasks which interest you, as "good first bugs" might now be too easy), or to follow our weekly https://meta.wikimedia.org/wiki/Tech/News
Wikimedia takes part in Outreachy and Google Summer of Code: https://www.mediawiki.org/wiki/Outreach_programs . Maybe you can imagine to co-mentor a project about which you now have a lot of knowledge? Mentoring is also a good preparation if you ever plan to propose your own GSoC or Outreachy project.
There are also https://www.mediawiki.org/wiki/Hackathons where developers meet in person for a weekend.
The Wikimedia movement also has many country chapters at https://meta.wikimedia.org/wiki/Wikimedia_chapters and local user groups. They might have projects which welcome your skills. Maybe you would attend a local meeting?
If you plan to publish a text about your GCI experience, share it by adding a link to your text: https://www.mediawiki.org/wiki/Google_Code-in/2019#Wrap-up_blog_posts
We also welcome your feedback what we, Wikimedia, can improve in GCI: https://www.mediawiki.org/wiki/Google_Code-in/Lessons_learned#2019
Again thank you! See you around in chat channels, mailing lists, Phabricator, Github, Gerrit, or whatever you have used in the last weeks! Stay curious and explore!
andre (a Wikimedia org admin)

Maybe I am wrong here, because I am certainly the master of too much text with a million links in my communications - but I guess if I were a newcomer receiving this all of the links and options would be overwhelming and I would maybe ignore it.

Would it be to much to offer the top 5-10 candidates a 1:1 on (chat or video) meeting with someone from your team so you can help customize their next steps? Or, is there some way to do a single call for action or give them two options only?

Just thoughts! And its still a nice message regardless and everything that you include IS important or interesting to a different type of person :)

Interesting idea but not sure about capacity... :)
Note that we have no data where people are based (scheduling); the idea of video calls might be problematic (underage, GDPR).